%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define module  TwistedNews

Name:           python-twisted-news
Version:        15.2.1
Release:        %mkrel 2
Summary:        An NNTP protocol implementation together with clients and servers
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedNews
Source0:        http://twistedmatrix.com/Releases/News/%{mainver}/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-twisted-core
Requires:       python-twisted-core

%description
Twisted News provides a very basic NNTP server, as well as an NNTP client
protocol implementation. Two messages storage systems are supported: the
DB-API 2.0 backend stores and indexes messages in any compatible SQL
database; the Twisted dirdbm backend uses serialized Python objects
stored directly on the filesystem for message storage. Twisted News
also has very rudamentary support for moderated groups.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --root=%{buildroot} --skip-build --install-purelib=%{python_sitearch}


%files
%doc LICENSE README NEWS
%dir %{python_sitearch}/twisted/news/
%{python_sitearch}/twisted/news/*
%{python_sitearch}/twisted/plugins/*
%{python_sitearch}/Twisted_News-%{version}-py%{pyver}.egg-info


%changelog
* Fri Mar 04 2016 bb <bb> 15.2.1-2pclos2016
- rebuild openssl

* Sun Sep 13 2015 bb <bb> 15.2.1-1pclos2015
- update
